dec_mel Struct Reference

MEL state structure for reading and decoding the MEL bitstream. More...

## Data Fields

OPJ_UINT8 * | data
| the address of data (or bitstream)
OPJ_UINT64 | tmp
| temporary buffer for read data
int | bits
| number of bits stored in tmp
int | size
| number of bytes in MEL code
OPJ_BOOL | unstuff
| true if the next bit needs to be unstuffed
int | k
| state of MEL decoder
int | num_runs
| number of decoded runs left in runs (maximum 8)
OPJ_UINT64 | runs
| runs of decoded MEL codewords (7 bits/run)

## Detailed Description

MEL state structure for reading and decoding the MEL bitstream.

A number of events is decoded from the MEL bitstream ahead of time and stored in run/num_runs. Each run represents the number of zero events before a one event.

## Field Documentation

## bits

int dec_mel::bits

number of bits stored in tmp

Referenced by mel_decode(), mel_init(), and mel_read().

## data

OPJ_UINT8* dec_mel::data

the address of data (or bitstream)

Referenced by mel_init(), and mel_read().

## k

int dec_mel::k

state of MEL decoder

Referenced by mel_decode(), and mel_init().

## num_runs

int dec_mel::num_runs

number of decoded runs left in runs (maximum 8)

Referenced by mel_decode(), mel_get_run(), and mel_init().

## runs

OPJ_UINT64 dec_mel::runs

runs of decoded MEL codewords (7 bits/run)

Referenced by mel_decode(), mel_get_run(), and mel_init().

## size

int dec_mel::size

number of bytes in MEL code

Referenced by mel_init(), and mel_read().

## tmp

OPJ_UINT64 dec_mel::tmp

temporary buffer for read data

Referenced by mel_decode(), mel_init(), and mel_read().

## unstuff

OPJ_BOOL dec_mel::unstuff

true if the next bit needs to be unstuffed

Referenced by mel_init(), and mel_read().

The documentation for this struct was generated from the following file:

- ht_dec.c